package com.yidian.shenghuoquan.buserorder.viewmodel

import androidx.lifecycle.LiveData
import androidx.lifecycle.MutableLiveData
import com.yidian.bcommon.mvvm.BaseViewModel

/**
 * author: yinjiacheng
 * date: 2021/8/24 15:34
 * description: 自提点搜索
 */
class PickupPointSearchViewModel : BaseViewModel() {

  private val _clearSearch = MutableLiveData<Unit>()
  val clearSearch: LiveData<Unit> = _clearSearch

  /**
   * 清空搜索
   * 请求附近自提点数据
   */
  fun clearSearch() {
    _clearSearch.value = Unit
  }
}
